GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
thread_item Struct Reference

## Public Member Functions
| thread_item (ptid_t ptid_)
| thread_item (thread_item &&other)=default
thread_item & | operator= (thread_item &&other)=default
| DISABLE_COPY_AND_ASSIGN (thread_item)

## Public Attributes
ptid_t | ptid
std::string | extra
std::string | name
int | core = -1
gdb::byte_vector | thread_handle

## Detailed Description

Definition at line 2952 of file remote.c.

## Constructor & Destructor Documentation

## ◆ thread_item() [1/2]

thread_item::thread_item | ( | ptid_t | ptid_ | ) |
| inline explicit

Definition at line 2954 of file remote.c.

## ◆ thread_item() [2/2]

thread_item::thread_item | ( | thread_item && | other | ) |
| default

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

thread_item::DISABLE_COPY_AND_ASSIGN | ( | thread_item |  | ) |

## ◆ operator=()

thread_item& thread_item::operator= | ( | thread_item && | other | ) |
| default

## Member Data Documentation

## ◆ core

int thread_item::core = -1

Definition at line 2973 of file remote.c.

Referenced by remote_update_thread_list(), and start_thread().

## ◆ extra

std::string thread_item::extra

Definition at line 2967 of file remote.c.

Referenced by remote_update_thread_list().

## ◆ name

std::string thread_item::name

Definition at line 2970 of file remote.c.

Referenced by remote_update_thread_list(), and start_thread().

## ◆ ptid

ptid_t thread_item::ptid

Definition at line 2964 of file remote.c.

Referenced by remote_update_thread_list().

## ◆ thread_handle

gdb::byte_vector thread_item::thread_handle

Definition at line 2976 of file remote.c.

Referenced by remote_update_thread_list(), and start_thread().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote.c